> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get campaign data for a given campaign

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['content']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/email-analytics-v1.json GET /email/public/v1/campaigns/{campaign_id}
openapi: 3.0.0
info:
  title: Email Analytics API v1
  version: 1.0.0
  description: >-
    Use the email analytics API to fetch events generated by marketing emails,
    such as sends, bounces, and clicks.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /email/public/v1/campaigns/{campaign_id}:
    get:
      summary: Get campaign data for a given campaign
      description: >-
        This endpoint provides a way to query data associated with a given email
        campaign.
      operationId: getCampaignData
      parameters:
        - name: campaign_id
          in: path
          required: true
          description: >-
            The Internal HubSpot ID of the email that you want to get the
            details for.
          schema:
            type: integer
      responses:
        '200':
          description: Campaign data retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CampaignData'
        default:
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    CampaignData:
      type: object
      properties:
        appId:
          type: integer
          description: The application ID
        appName:
          type: string
          description: The application name
        contentId:
          type: integer
          description: The content ID
        counters:
          $ref: '#/components/schemas/CampaignCounters'
        id:
          type: integer
          description: The campaign ID
        name:
          type: string
          description: The campaign name
        numIncluded:
          type: integer
          description: Number of recipients included
        numQueued:
          type: integer
          description: Number of recipients queued
        subType:
          type: string
          description: The campaign sub-type
        subject:
          type: string
          description: The email subject
        type:
          type: string
          description: The campaign type
      required:
        - appId
        - appName
        - contentId
        - counters
        - id
        - name
        - numIncluded
        - numQueued
        - subType
        - subject
        - type
    Error:
      type: object
      properties:
        category:
          type: string
          description: The error category
        correlationId:
          type: string
          description: A unique identifier for the request
        message:
          type: string
          description: A human readable message describing the error
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
        errors:
          type: array
          description: Further information about the error
          items:
            $ref: '#/components/schemas/ErrorDetail'
        context:
          type: object
          description: Context about the error condition
        links:
          type: object
          description: A map of link names to associated URIs
      required:
        - category
        - correlationId
        - message
    CampaignCounters:
      type: object
      properties:
        delivered:
          type: integer
          description: Number of emails delivered
        open:
          type: integer
          description: Number of emails opened
        processed:
          type: integer
          description: Number of emails processed
        sent:
          type: integer
          description: Number of emails sent
      required:
        - delivered
        - open
        - processed
        - sent
    ErrorDetail:
      type: object
      properties:
        message:
          type: string
          description: A human readable message describing the error
        in:
          type: string
          description: The name of the field or parameter in which the error was found
        code:
          type: string
          description: The status code associated with the error detail
        subCategory:
          type: string
          description: >-
            A specific category that contains more specific detail about the
            error
        context:
          type: object
          description: Context about the error condition
      required:
        - message

````